=for testing
  ok(1);

=head1 NAME

APR::Request::Error - wrapper for libapreq2's error API.



=head1 SYNOPSIS

  use APR::Request::Error;




=head1 DESCRIPTION

This manpage documents version 2.13
of the APR::Request::Error package.




=head1 SUBROUTINES

APR::Request::Error - derived from C<< APR::Request >> and C<< APR::Error >>.




=head2 strerror

    strerror($status)

Returns the apreq error string associated with a numeric C<$status> code.




=head1 ERROR CONSTANTS




=head2 GENERAL

Internal apreq error




=head2 TAINTED

Attempt to perform unsafe action with tainted data




=head2 BADDATA

Malformed input data




=head2 BADCHAR

Invalid character




=head2 BADSEQ

Invalid byte sequence




=head2 BADATTR

Unrecognized attribute




=head2 BADHEADER

Malformed header string




=head2 NODATA

Missing input data




=head2 NOTOKEN

Expected token not present




=head2 NOATTR

Missing attribute




=head2 NOHEADER

Missing header




=head2 NOPARSER

Missing parser




=head2 MISMATCH

Conflicting information




=head2 OVERLIMIT

Exceeds configured maximum limit




=head2 NOTEMPTY

Setting already configured




=head1 SEE ALSO

L<APR::Request>, L<APR::Error>




=head1 COPYRIGHT

  Licensed to the Apache Software Foundation (ASF) under one or more
  contributor license agreements.  See the NOTICE file distributed with
  this work for additional information regarding copyright ownership.
  The ASF licenses this file to You under the Apache License, Version 2.0
  (the "License"); you may not use this file except in compliance with
  the License.  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
